using DbContextLib;
using HeartTrackAPI;

var builder = WebApplication.CreateBuilder(args);

builder.Logging.AddConsole();

var init = new AppBootstrap(builder.Configuration);

init.ConfigureServices(builder.Services);

var app = builder.Build();

init.Configure(app, app.Environment);

app.Services.GetService<HeartTrackContext>()!.Database.EnsureCreated();

app.Run();